package com.ruoyi.dxp.dto.customer;

import java.io.Serializable;
import java.util.Date;

/**
 * 我的共享资源对象
 */
public class MyShareResourceDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    private String resName;

    private String accessId;

    /** data数据，service服务 */
    private String resType;

    private String infoId;

    private String tag;

    private String publishType;

    private String provideOrganization;

    private Long applicationId;

    private String applicationName;

    private String status;

    private Long viewCount;

    private Long applyCount;

    private String remark;

    private Date createTime;

    private String applyStatus;

    private String applyStatusRemark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getResName() {
        return resName;
    }

    public void setResName(String resName) {
        this.resName = resName;
    }

    public String getAccessId() {
        return accessId;
    }

    public void setAccessId(String accessId) {
        this.accessId = accessId;
    }

    public String getResType() {
        return resType;
    }

    public void setResType(String resType) {
        this.resType = resType;
    }

    public String getInfoId() {
        return infoId;
    }

    public void setInfoId(String infoId) {
        this.infoId = infoId;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public String getPublishType() {
        return publishType;
    }

    public void setPublishType(String publishType) {
        this.publishType = publishType;
    }

    public String getProvideOrganization() {
        return provideOrganization;
    }

    public void setProvideOrganization(String provideOrganization) {
        this.provideOrganization = provideOrganization;
    }

    public Long getApplicationId() {
        return applicationId;
    }

    public void setApplicationId(Long applicationId) {
        this.applicationId = applicationId;
    }

    public String getApplicationName() {
        return applicationName;
    }

    public void setApplicationName(String applicationName) {
        this.applicationName = applicationName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Long getViewCount() {
        return viewCount;
    }

    public void setViewCount(Long viewCount) {
        this.viewCount = viewCount;
    }

    public Long getApplyCount() {
        return applyCount;
    }

    public void setApplyCount(Long applyCount) {
        this.applyCount = applyCount;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getApplyStatus() {
        return applyStatus;
    }

    public void setApplyStatus(String applyStatus) {
        this.applyStatus = applyStatus;
    }

    public String getApplyStatusRemark() {
        return applyStatusRemark;
    }

    public void setApplyStatusRemark(String applyStatusRemark) {
        this.applyStatusRemark = applyStatusRemark;
    }
}
